Bug 40647 - ucslint crash
ucslint crash
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: ucslint
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 15:06 CET by Florian Best
Modified: 2016-02-24 13:07 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-02-12 15:06:22 CET
Traceback (most recent call last):
  File "/usr/bin/ucslint", line 315, in <module>
    main()
  File "/usr/bin/ucslint", line 305, in main
    chk.check()
  File "/usr/bin/ucslint", line 108, in check
    obj.check( self.path )
  File "/usr/lib/pymodules/python2.7/univention/ucslint/0017-Shell.py", line 84, in check
    self.tester.open(fn)
  File "/usr/lib/pymodules/python2.7/univention/ucslint/base.py", line 246, in open
    self.raw = open(filename,'r').read(self.maxsize)
IOError: [Errno 2] No such file or directory: './tools/boot/ucs400/common.sh'
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-02-18 17:38:42 CET
Fixed.

Package: ucslint                                               
Version: 5.0.3-2.75.201602171154                               
User: sschwardt                                                
Branch: ucs_4.1-0                                              
Scope: errata4.1-1
Comment 2 Florian Best univentionstaff 2016-02-18 17:48:20 CET
It doesn't fix the above traceback.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-02-19 10:03:18 CET
Package: ucslint
Version: 5.0.3-4.77.201602181807
User: sschwardt
Branch: ucs_4.1-0
Scope: errata4.1-1

ucslint (5.0.3-4):
r67560 | Bug #40647: fix traceback on broken symlinks
r67558 | Bug #40647: fix traceback on broken symlinks
r67419 | Bug #40647: fix traceback on broken symlinks

ucslint.yaml:
r67567 | Bug #40647: updated yaml
Comment 4 Florian Best univentionstaff 2016-02-19 10:06:54 CET
OK: fix
OK: YAML
Comment 5 Janek Walkenhorst univentionstaff 2016-02-24 13:07:49 CET
<http://errata.software-univention.de/ucs/4.1/117.html>